## xjadeo 0.4.13

=== doc/Makefile ===
#
# the docbook is not inteded to be built automatically
# as it requires an internet connection to get the xslt files.
# and would introduce xml build dependencies...
# 
# precompiled manpages are in included in the distribution,
# as is the docbook source.
#
# an HTML version of the docbook is available online:
#  http://xjadeo.sourceforge.net/doc/
#

.PHONY: all validate html clean man 

all: html man

dtdvalid:
	xmllint --noout --valid -dtdvalid http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd  xjadeo.xml

validate:
	xmllint --noout --valid xjadeo.xml

html: validate
	mkdir -p html 
	(cd html; xsltproc ../html.xsl ../xjadeo.xml)
	cp -f *.css favicon.ico html

man: validate
	xsltproc man.xsl xjadeo.xml

clean:
	-rm -fr qjadeo.1 xjadeo.1 html xjadeo.ps

.PHONY: pub
pub: dtdvalid html
	scp html/* sf:/home/groups/x/xj/xjadeo/htdocs/doc/
	ssh sf chmod -R g+w /home/groups/x/xj/xjadeo/htdocs/doc/
#make pub requires setup in ~/.ssh/config
# Host sf
# HostName shell.sourceforge.net
# User <username>
# 

#.PHONY: xjadeo.ps

#xjadeo.ps: xjadeo.xml
#	jw -f docbook -b ps xjadeo.xml

=== debian/changelog ===
xjadeo (0.4.13-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs tags.
  * Move mencoder to Recommends.
  * Drop patches, applied upstream.
  * Merge Ubuntu changelog entries.

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 Aug 2010 11:39:34 +0200

xjadeo (0.4.12-1ubuntu1) maverick; urgency=low

  * Merge with debian unstable, remaining changes:
    - Move mencoder,transcode from Suggests to Recommends.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 27 Jul 2010 11:55:15 +0200

xjadeo (0.4.12-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release.
  * Add patch to solve spelling error.

  [ Alessio Treglia ]
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Jul 2010 14:43:27 +0200

xjadeo (0.4.11-1ubuntu1) maverick; urgency=low

  * Move mencoder,transcode from Suggests to Recommends.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 21 Jul 2010 19:09:07 +0200

xjadeo (0.4.11-1build1) maverick; urgency=low

  * No-change rebuild due to jackd -> jackd2 transition.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 21 Jul 2010 11:58:05 +0200

xjadeo (0.4.11-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release:
     - new default parameters:
       + screen-update-fps = filefps (use '-f 10' for prev. default)
       + MTC-quater-frame: on (use '-c' to disable it)
     - added JACK-MIDI port for MTC (./configure --enable-midi=jack )
     - System-V IPC remote ctrl mode (OSX does not support POSIX-MQ)
     - added '{' and '}' keyboard shortcuts to modify time-offset in
       larger steps
     - many small remote-ctl extensions for ardour3 integration
       + allow to disable some GUI interactions (close window,
         left-mouse-click)
       + added aliases for full-screen & position remote-ctrl commands
         (alphabetical order of commands now does the right thing:
         size, position, fullscreen -> size, xy, zoom)
  * jack-midi port for MTC allowed

  [ Alessio Treglia ]
  * debian/rules:
    - Rely on dh_auto_configure to call ./configure script.
    - Add -Wl,--as-needed to linking options.
  * debian/control:
    - Drop ALSA support for those architectures which don't provide it.
    - Overrides requires debhelper >= 7.0.50~

 -- Alessio Treglia <alessio@debian.org>  Thu, 15 Jul 2010 19:40:54 +0200

xjadeo (0.4.10-1) unstable; urgency=low

  * Initial release (Closes: #521768)  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 10 Jul 2010 12:01:22 +0200

=== debian/control ===
Source: xjadeo
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev (>= 20100122.1~),
 liblo-dev,
 libimlib2-dev,
 libxv-dev,
 libavcodec-dev, 
 libavformat-dev,
 libavutil-dev,
 libswscale-dev,
 libjack-dev | libjack-jackd2-0-dev,
 libx11-dev,
 libfreetype6-dev,
 libportmidi-dev,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 liblash-dev,
 libxpm-dev,
 libqt4-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/xjadeo.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/xjadeo.git
Homepage: http://xjadeo.sourceforge.net/

Package: xjadeo
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: mencoder
Suggests: transcode
Description: Video player with jack sync
 Simple video player that receives sync from jackd or MTC.
 It has applications in soundtrack creation, video monitoring or any task that
 requires to associate movie frames with audio events.
 .
 For instance when a jack-client (like Muse, Rosegarden or Ardour) acts as a
 timebase master, xjadeo will display the video synchronized to jack transport.
 xjadeo is capable to read Midi Time Clock as an alternate sync source and comes
 along with an optional QT-GUI.
 .
 xjadeo reads only seekable media by default. Installing a transcoding utility
 like mencoder or transcode is highly recommended.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh --with autotools_dev $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-midi=jack

=== debian/watch ===
version=3

http://sf.net/xjadeo/xjadeo-(.*)\.tar\.gz

## xjadeo 0.6.0~rc7

=== debian/changelog ===
xjadeo (0.6.0~rc7-2) unstable; urgency=low

  * Upload to unstable.
  * Fix misspelling in the Build-Depends field.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Feb 2011 12:49:19 +0100

xjadeo (0.6.0~rc7-1) experimental; urgency=low

  * Imported Upstream version 0.6.0~rc7
  * Don't install NEWS file as it contains obsolete information.
  * Install PDF manual.
  * Change section to 'video'.

 -- Alessio Treglia <alessio@debian.org>  Wed, 24 Nov 2010 18:15:02 +0100

xjadeo (0.6.0~rc6-1) experimental; urgency=low

  * Drop libportmidi-dev on kfreebsd-*,hurd-i386 architectures.
  * Imported Upstream version 0.6.0~rc6.

 -- Alessio Treglia <alessio@debian.org>  Wed, 17 Nov 2010 00:00:18 +0100

xjadeo (0.6.0~rc5-1) experimental; urgency=low

  * Imported Upstream version 0.6.0~rc5.
  * Don't build tools in contrib, they are unnecessary for end-users.

 -- Alessio Treglia <alessio@debian.org>  Fri, 12 Nov 2010 14:44:12 +0100

xjadeo (0.6.0~rc4-1) experimental; urgency=low

  * Imported Upstream version 0.6.0~rc4.
  * Install qjadeo.png only.
  * Build contrib stuff.

 -- Alessio Treglia <alessio@debian.org>  Thu, 11 Nov 2010 16:55:45 +0100

xjadeo (0.6.0~rc3-1) experimental; urgency=low

  * debian/gbp.conf: Drop non-defaults options.
  * debian/control: 'JACK' should be uppercase.
  * Imported Upstream version 0.6.0~rc3.

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Nov 2010 22:57:48 +0100

xjadeo (0.6.0~rc2-1) experimental; urgency=low

  * Update debian/watch file to handle upstream RC release numbers.
  * Imported Upstream version 0.6.0~rc2.

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Nov 2010 18:29:18 +0100

xjadeo (0.6.0~rc1-1) experimental; urgency=low

  * Update refs in debian/gbp.conf
  * Imported Upstream version 0.6.0~rc1
  * Build-Depends on libltcsmpte-dev.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Nov 2010 23:25:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: xjadeo
-Section: sound
+Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>,
@@ -13,13 +13,14 @@
  libavformat-dev,
  libavutil-dev,
  libswscale-dev,
- libjack-dev | libjack-jackd2-0-dev,
+ libjack-dev | libjack-jackd2-dev,
  libx11-dev,
  libfreetype6-dev,
- libportmidi-dev,
+ libportmidi-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  liblash-dev,
  libxpm-dev,
+ libltcsmpte-dev,
  libqt4-dev
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/xjadeo.git
@@ -32,13 +33,13 @@
  ${misc:Depends}
 Recommends: mencoder
 Suggests: transcode
-Description: Video player with jack sync
+Description: Video player with JACK sync
  Simple video player that receives sync from jackd or MTC.
  It has applications in soundtrack creation, video monitoring or any task that
  requires to associate movie frames with audio events.
  .
  For instance when a jack-client (like Muse, Rosegarden or Ardour) acts as a
- timebase master, xjadeo will display the video synchronized to jack transport.
+ timebase master, xjadeo will display the video synchronized to JACK transport.
  xjadeo is capable to read Midi Time Clock as an alternate sync source and comes
  along with an optional QT-GUI.
  .

## xjadeo 0.6.1

=== debian/changelog ===
xjadeo (0.6.1-1) unstable; urgency=low

  * New upstream stable release.  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 15 Jul 2011 22:05:17 +0200

xjadeo (0.6.0-1) unstable; urgency=low

  * New upstream stable release.
  * Rewrite debian/copyright according to DEP-5 rev.174

 -- Alessio Treglia <alessio@debian.org>  Sat, 09 Jul 2011 11:11:36 +0200

xjadeo (0.6.0~rc7-3) unstable; urgency=low

  * Drop LASH support.
  * Re-introduce doc-base file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 May 2011 14:32:48 +0200

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,10 @@
  libfreetype6-dev,
  libportmidi-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- liblash-dev,
  libxpm-dev,
  libltcsmpte-dev,
  libqt4-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/xjadeo.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/xjadeo.git
 Homepage: http://xjadeo.sourceforge.net/

## xjadeo 0.6.2

=== debian/changelog ===
xjadeo (0.6.2-1) unstable; urgency=low

  * New upstream stable release.
  * Replace negated list of architectures with linux-any (Closes: #634808)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 12 Oct 2011 03:32:47 +0200

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
  libjack-dev | libjack-jackd2-dev,
  libx11-dev,
  libfreetype6-dev,
- libportmidi-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+ libportmidi-dev [linux-any],
+ libasound2-dev [linux-any],
  libxpm-dev,
  libltcsmpte-dev,
  libqt4-dev

## xjadeo 0.6.4

=== debian/changelog ===
xjadeo (0.6.4-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release.

  [ Alessio Treglia ]
  * Set DMUA.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 18 May 2012 22:29:59 +0200

xjadeo (0.6.3-1) unstable; urgency=low

  * New upstream bugfix only release.
  * Refresh patches.
  * Replace autootools-dev with dh-autoreconf and pass --as-needed to
    autoreconf.
  * Update debian/copyright to copyright format 1.0.
  * Promote transcode to Recommends.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Apr 2012 10:48:58 +0200

=== debian/control ===
Source: xjadeo
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 dh-autoreconf,
 libasound2-dev [linux-any],
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libfreetype6-dev,
 libimlib2-dev,
 libjack-dev | libjack-jackd2-dev,
 liblo-dev,
 libltcsmpte-dev,
 libportmidi-dev [linux-any],
 libqt4-dev,
 libswscale-dev,
 libx11-dev,
 libxpm-dev,
 libxv-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-multimedia/xjadeo.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/xjadeo.git
Homepage: http://xjadeo.sourceforge.net/

Package: xjadeo
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 mencoder,
 transcode
Description: Video player with JACK sync
 Simple video player that receives sync from jackd or MTC.
 It has applications in soundtrack creation, video monitoring or any task that
 requires to associate movie frames with audio events.
 .
 For instance when a jack-client (like Muse, Rosegarden or Ardour) acts as a
 timebase master, xjadeo will display the video synchronized to JACK transport.
 xjadeo is capable to read Midi Time Clock as an alternate sync source and comes
 along with an optional QT-GUI.
 .
 xjadeo reads only seekable media by default. Installing a transcoding utility
 like mencoder or transcode is highly recommended.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-midi=jack

## xjadeo 0.7.0

=== debian/changelog ===
xjadeo (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Added libltc-dev to build dep.
  * Added libsdl1.2-dev to build dep.
  * Remove DMUA.
  * Bump standards.
  * Set dh/compat 9 to fix hardening.
  * Fix VCS canonical URLs.
  * Build with hardening-wrapper.
  * Added patch to fix build with hardening-wrapper.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 07 May 2013 00:10:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  dh-autoreconf,
+ hardening-wrapper,
  libasound2-dev [linux-any],
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
  libfreetype6-dev,
  libimlib2-dev,
- libjack-dev | libjack-jackd2-dev,
+ libjack-dev,
  liblo-dev,
  libltcsmpte-dev,
  libportmidi-dev [linux-any],
@@ -22,11 +23,12 @@
  libswscale-dev,
  libx11-dev,
  libxpm-dev,
- libxv-dev
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/xjadeo.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/xjadeo.git
+ libxv-dev,
+ libltc-dev,
+ libsdl1.2-dev
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xjadeo.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xjadeo.git
 Homepage: http://xjadeo.sourceforge.net/
 
 Package: xjadeo

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_HARDENING=1
 
 LDFLAGS+=-Wl,--as-needed

## xjadeo 0.7.2

=== debian/changelog ===
xjadeo (0.7.2-1+ffmpeg2~precise2) precise; urgency=low

  * Enable qjadeo support, ie --enable-qtgui

 -- falkTX <falktx@gmail.com>  Mon, 17 Jun 2013 18:37:58 +0100

xjadeo (0.7.2-1+ffmpeg1~precise1) precise; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Sat, 15 Jun 2013 09:58:23 +0100

xjadeo (0.7.0-1+ffmpeg1~precise2) precise; urgency=low

  * Build against ffmpeg-static

 -- falkTX <falktx@gmail.com>  Fri, 14 Jun 2013 23:27:30 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,6 @@
  dh-autoreconf,
  hardening-wrapper,
  libasound2-dev [linux-any],
- libavcodec-dev,
- libavformat-dev,
- libavutil-dev,
  libfreetype6-dev,
  libimlib2-dev,
  libjack-dev,
@@ -20,12 +17,25 @@
  libltcsmpte-dev,
  libportmidi-dev [linux-any],
  libqt4-dev,
- libswscale-dev,
  libx11-dev,
  libxpm-dev,
  libxv-dev,
  libltc-dev,
- libsdl1.2-dev
+ libsdl1.2-dev,
+ ffmpeg-static (>= 1.2.1-0kxstudio1~precise3),
+# ffmpeg deps
+ libass-dev, libbluray-dev, libgmp3-dev,
+ libbz2-dev, libfreetype6-dev, libgsm1-dev, liblzo2-dev,
+ libmp3lame-dev, libopenjpeg-dev, libopus-dev, librtmp-dev,
+ libschroedinger-dev, libspeex-dev, libtheora-dev,
+ libvorbis-dev, libvpx-dev, libx264-dev,
+ libxvidcore-dev, zlib1g-dev, zlib1g-dev,
+ libpng12-dev, libjpeg8-dev | libjpeg62-dev
+Build-Conflicts:
+ libavcodec-dev,
+ libavformat-dev,
+ libavutil-dev,
+ libswscale-dev
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xjadeo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xjadeo.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 export DEB_BUILD_HARDENING=1
+
+export PKG_CONFIG_PATH=/opt/kxstudio/lib/pkgconfig
 
 LDFLAGS+=-Wl,--as-needed
 
@@ -13,4 +15,4 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-midi=jack
+		--enable-midi=jack --enable-qtgui

## xjadeo 0.7.6

=== doc/Makefile ===
#
# the docbook is not inteded to be built automatically
# as it requires an internet connection to get the xslt files.
# and would introduce XML* dependencies...
# 
# precompiled manpages are in included in the distribution,
# as is the docbook source.
#
# an HTML version of the docbook is available online:
#  http://xjadeo.sourceforge.net/
#

.PHONY: all validate html clean man 

all: html man

dtdvalid:
	xmllint --noout --valid -dtdvalid http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd  xjadeo.xml

validate:
	xmllint --noout --valid xjadeo.xml

html: validate
	mkdir -p html 
	(cd html; xsltproc --encoding UTF-8 ../html.xsl ../xjadeo.xml)
	cp -f style.css favicon.ico html/
	cp -f xjadeo.png html/
	cp -f qjadeo.png html/

man: validate
	xsltproc --encoding UTF-8 man.xsl xjadeo.xml

clean:
	-rm -fr qjadeo.1 xjadeo.1 xjinfo.1 xjremote.1 html xjadeo.ps xjadeo.pdf

.PHONY: xjadeo.ps xjadeo.pdf

xjadeo.ps: xjadeo.xml
	dblatex -tps -T native \
	  -P newtbl.autowidth=default \
	  -P latex.hyperparam=colorlinks,linkcolor=blue \
	  -P doc.collab.show=0 \
	  -P latex.output.revhistory=0 \
	  -P make.year.ranges=1 \
	  -P doc.lot.show="" \
	  xjadeo.xml

xjadeo.pdf: xjadeo.xml
	dblatex -T native \
	  -P newtbl.autowidth=default \
	  -P latex.hyperparam=colorlinks,linkcolor=blue \
	  -P doc.collab.show=0 \
	  -P latex.output.revhistory=0 \
	  -P make.year.ranges=1 \
	  -P doc.lot.show="" \
	  xjadeo.xml

=== debian/changelog ===
xjadeo (0.7.6-1build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 12 Nov 2013 01:55:35 +0000

xjadeo (0.7.6-1) unstable; urgency=low

  * Removed fix_warning.patch.
  * Enable guild qtgui again.
  * Added keywords to desktop file.
  * Removed hardening-wrapper.
  * Update copyright file.
  * Don't sign tags.
  * Added patch to fix hardening for qjadeo.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 10 Aug 2013 23:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: xjadeo
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- hardening-wrapper,
  libasound2-dev [linux-any],
+ libavcodec-dev,
+ libavformat-dev,
+ libavutil-dev,
  libfreetype6-dev,
  libimlib2-dev,
  libjack-dev,
@@ -17,25 +20,12 @@
  libltcsmpte-dev,
  libportmidi-dev [linux-any],
  libqt4-dev,
+ libswscale-dev,
  libx11-dev,
  libxpm-dev,
  libxv-dev,
  libltc-dev,
- libsdl1.2-dev,
- ffmpeg-static (>= 1.2.1-0kxstudio1~precise3),
-# ffmpeg deps
- libass-dev, libbluray-dev, libgmp3-dev,
- libbz2-dev, libfreetype6-dev, libgsm1-dev, liblzo2-dev,
- libmp3lame-dev, libopenjpeg-dev, libopus-dev, librtmp-dev,
- libschroedinger-dev, libspeex-dev, libtheora-dev,
- libvorbis-dev, libvpx-dev, libx264-dev,
- libxvidcore-dev, zlib1g-dev, zlib1g-dev,
- libpng12-dev, libjpeg8-dev | libjpeg62-dev
-Build-Conflicts:
- libavcodec-dev,
- libavformat-dev,
- libavutil-dev,
- libswscale-dev
+ libsdl1.2-dev
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xjadeo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xjadeo.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-midi=jack \
		--enable-qtgui

## xjadeo 0.7.7

=== debian/changelog ===
xjadeo (0.7.7-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 12:06:52 +0100

xjadeo (0.7.7-1) unstable; urgency=medium

  * Imported Upstream version 0.7.7
  * Refreshed patches.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 10 Jun 2014 09:13:56 +0200

xjadeo (0.7.6-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Recompile against libav10 (Closes: #739431)
  * Bump standards version.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 May 2014 22:05:41 -0400

xjadeo (0.7.6-2) experimental; urgency=low

  * Team upload.
  * Compile and fix FTBFS against libav10 (Closes: #739431)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Feb 2014 15:05:14 +0000

## xjadeo 0.8.0

=== doc/Makefile ===
.PHONY: all validate html clean man 

VERSION=$(shell awk '/define VERSION /{print $$3;}' ../config.h | sed 's/"//g')
WINVERS=$(shell grep " VERSION " ../config.h | cut -d ' ' -f3 | sed 's/"//g'| sed 's/\./_/g')
RELDATE=$(shell date '+%B %Y')

all: man

html: xjadeo.1 xjremote.1
	mkdir -p html/static
	cp -f favicon.ico html/
	cp -a static/* html/static/
	groff -m man -T xhtml -P -l xjadeo.1 | sed 's/cellspacing="0" cellpadding="0"//g;s/width="100%" border="0" rules="none" frame="void"//g;s/valign="top" align="left"//g;s/width="/style="width:/g;s/><\/col>/\/>/g' > pages/xjadeo.html
	groff -m man -T xhtml -P -l xjremote.1 | sed 's/cellspacing="0" cellpadding="0"//g' > pages/xjremote.html
	echo -e "/<body>\n1,.d\n/<hr\\>\n.d\n/<hr\\>\n.d\n/<\\/body>\n.,\$$d\nw\nq" | ed -s pages/xjadeo.html
	echo -e "/<body>\n1,.d\n/<hr\\>\n.d\n/<hr\\>\n.d\n/<\\/body>\n.,\$$d\nw\nq" | ed -s pages/xjremote.html
	for file in pages/*; do echo $$file; cat tpl/head tpl/page $$file tpl/epage tpl/foot > html/`basename $$file`; done
	cat tpl/head tpl/front tpl/foot > html/index.html
	sed -i 's/@VERSION@/$(VERSION)/g;s/@WINVERSION@/$(WINVERS)/g;s/@DATE@/$(RELDATE)/g' html/download.html
	rm -f pages/xjadeo.html pages/xjremote.html

clean:
	-rm -fr xjadeo.1 xjremote.1 html/

../src/xjadeo/xjremote:
	$(MAKE) -C ../src/xjadeo/

../src/xjadeo/xjadeo:
	$(MAKE) -C ../src/xjadeo/

xjadeo.1: ../src/xjadeo/xjadeo
	help2man -N -n 'X Jack Video Monitor' -o xjadeo.1 ../src/xjadeo/xjadeo
	sed -i 's/^\.SS "/.SH "/;s/^Video Codecs and Formats:/.SH "Video Codecs and Formats:"/;s/^Configuration Files:/.SH "Configuration Files:"/;s/^User Interaction:/.SH "User Interaction:"/' xjadeo.1

xjremote.1: ../src/xjadeo/xjremote
	help2man -N -n 'X Jack Video Monitor Remote Control' -o xjremote.1 ../src/xjadeo/xjremote

man: xjadeo.1 xjremote.1

.PHONY: man all dist-clean html

=== debian/changelog ===
xjadeo (0.8.0-2) unstable; urgency=low

  * Add patch fixing build on kfreebsd,hurd (Closes: #763574)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 01 Oct 2014 11:01:56 +0200

xjadeo (0.8.0-1) unstable; urgency=low

  * Remove TODO file from docs.
  * Refresh patch to build with latest libav.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 30 Sep 2014 14:45:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xjadeo
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
@@ -10,9 +9,9 @@
  debhelper (>= 9),
  dh-autoreconf,
  libasound2-dev [linux-any],
- libavcodec-dev,
- libavformat-dev,
- libavutil-dev,
+ libavcodec-dev (>= 6:10~),
+ libavformat-dev (>= 6:10~),
+ libavutil-dev (>= 6:10~),
  libfreetype6-dev,
  libimlib2-dev,
  libjack-dev,
@@ -20,13 +19,13 @@
  libltcsmpte-dev,
  libportmidi-dev [linux-any],
  libqt4-dev,
- libswscale-dev,
+ libswscale-dev (>= 6:10~),
  libx11-dev,
  libxpm-dev,
  libxv-dev,
  libltc-dev,
  libsdl1.2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xjadeo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xjadeo.git
 Homepage: http://xjadeo.sourceforge.net/

## xjadeo 0.8.2

=== debian/changelog ===
xjadeo (0.8.2-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:15:38 +0000

xjadeo (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix build issue with gcc 5. (Closes: #778184)
  * debian/patches/0002-spelling.patch: Removed, applied upstream.
  * debian/source/include-binaries: Add debian/xjadeo.pdf to prevent FTBFS
    with recent dpkg versions. 

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 25 Jun 2015 22:23:35 +0200

xjadeo (0.8.1-1) unstable; urgency=medium

  * Bump Standards.
  * Patch refreshed.
  * configure patch dropped - applied upstream.
  * Added spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 23 Mar 2015 19:03:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xjadeo
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
@@ -25,7 +26,7 @@
  libxv-dev,
  libltc-dev,
  libsdl1.2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/xjadeo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xjadeo.git
 Homepage: http://xjadeo.sourceforge.net/

## xjadeo 0.8.5

=== debian/changelog ===
xjadeo (0.8.5-1) unstable; urgency=medium

  * Imported Upstream version 0.8.5
  * Patch applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 02 Dec 2015 07:18:32 +0100

xjadeo (0.8.4-2) unstable; urgency=medium

  * Add ffmpeg_2.9.patch (Closes: #803875)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 03 Nov 2015 06:39:02 +0100

xjadeo (0.8.4-1) unstable; urgency=medium

  * Imported Upstream version 0.8.4
  * Removed menu (to implement CTTE decision #741573)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 25 Oct 2015 05:04:14 +0100

xjadeo (0.8.2-2) unstable; urgency=medium

  * Build with ffmpeg.
  * Drop old pdf documentation. (Closes: #793505)
  * Mention on-line documentation in description.
  * Enable parallel build.
  * Tune .gitignore file.
  * Drop build of qjadeo - deprecated.
  * Remove unused build deps.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 08 Sep 2015 12:28:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xjadeo
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
@@ -10,17 +9,15 @@
  debhelper (>= 9),
  dh-autoreconf,
  libasound2-dev [linux-any],
- libavcodec-dev (>= 6:10~),
- libavformat-dev (>= 6:10~),
- libavutil-dev (>= 6:10~),
+ libavcodec-dev (>= 7:2.7.1),
+ libavformat-dev (>= 7:2.7.1),
+ libavutil-dev (>= 7:2.7.1),
+ libswscale-dev (>= 7:2.7.1),
  libfreetype6-dev,
  libimlib2-dev,
  libjack-dev,
  liblo-dev,
- libltcsmpte-dev,
  libportmidi-dev [linux-any],
- libqt4-dev,
- libswscale-dev (>= 6:10~),
  libx11-dev,
  libxpm-dev,
  libxv-dev,
@@ -51,3 +48,6 @@
  .
  xjadeo reads only seekable media by default. Installing a transcoding utility
  like mencoder or transcode is highly recommended.
+ .
+ On-line documentation:
+ http://xjadeo.sourceforge.net/main.html

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-midi=jack

## xjadeo 0.8.7

=== doc/Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 	cp -a static/* html/static/
 	groff -m man -T xhtml -P -l xjadeo.1 | sed 's/cellspacing="0" cellpadding="0"//g;s/width="100%" border="0" rules="none" frame="void"//g;s/valign="top" align="left"//g;s/width="/style="width:/g;s/><\/col>/\/>/g' > pages/xjadeo.html
 	groff -m man -T xhtml -P -l xjremote.1 | sed 's/cellspacing="0" cellpadding="0"//g' > pages/xjremote.html
-	echo -e "/<body>\n1,.d\n/<hr\\>\n.d\n/<hr\\>\n.d\n/<\\/body>\n.,\$$d\nw\nq" | ed -s pages/xjadeo.html
-	echo -e "/<body>\n1,.d\n/<hr\\>\n.d\n/<hr\\>\n.d\n/<\\/body>\n.,\$$d\nw\nq" | ed -s pages/xjremote.html
+	`which echo` -e "/<body>\n1,.d\n/<hr\\>\n.d\n/<hr\\>\n.d\n/<\\/body>\n.,\$$d\nw\nq" | ed -s pages/xjadeo.html
+	`which echo` -e "/<body>\n1,.d\n/<hr\\>\n.d\n/<hr\\>\n.d\n/<\\/body>\n.,\$$d\nw\nq" | ed -s pages/xjremote.html
 	for file in pages/*; do echo $$file; cat tpl/head tpl/page $$file tpl/epage tpl/foot > html/`basename $$file`; done
 	cat tpl/head tpl/front tpl/foot > html/index.html
 	sed -i 's/@VERSION@/$(VERSION)/g;s/@WINVERSION@/$(WINVERS)/g;s/@DATE@/$(RELDATE)/g' html/download.html

=== debian/changelog ===
xjadeo (0.8.7-2) unstable; urgency=medium

  * Use upstream hi-resolution icon.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 29 Nov 2016 14:35:46 +0100

xjadeo (0.8.7-1) unstable; urgency=medium

  * New upstream version 0.8.7
  * Set dh/compat 10.
  * Fix VCS fields.
  * Bump Standards.
  * Update copyright file.
  * Fix hardening.
  * Add local-option file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 29 Nov 2016 09:38:04 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-midi=jack

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
http://sf.net/xjadeo/xjadeo-(.*)\.tar\.gz

## xjadeo 0.8.9

=== debian/changelog ===
xjadeo (0.8.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.9

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * Update watch (remove an empty line)
  * Update xjadeo.desktop
    - Adds French name and comment
    - Remove an empty line
    - Rremove a unneeded punctuation

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Build-Depend on libglu-dev
  * Drop versioned Build-Dependencies (if the version is satisfied in oldstable)
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Remove obsolete file d/source/local-options
  * Update d/copyright
    * Add 'licensecheck' target to create d/copyright_hints
    * Generate d/copyright_hints
  * Bump dh-compat to 13
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Aug 2020 14:31:05 +0200

=== debian/control ===
Source: xjadeo
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev [linux-any],
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libswscale-dev,
 libfreetype6-dev,
 libglu1-mesa-dev | libglu-dev,
 libimlib2-dev,
 libjack-dev,
 liblo-dev,
 libltc-dev,
 libportmidi-dev [linux-any],
 libx11-dev,
 libxpm-dev,
 libxv-dev,
 libsdl1.2-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/xjadeo.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/xjadeo
Homepage: http://xjadeo.sourceforge.net/

Package: xjadeo
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 mencoder,
 transcode,
Description: Video player with JACK sync
 Simple video player that receives sync from jackd or MTC.
 It has applications in soundtrack creation, video monitoring or any task that
 requires to associate movie frames with audio events.
 .
 For instance when a jack-client (like Muse, Rosegarden or Ardour) acts as a
 timebase master, xjadeo will display the video synchronized to JACK transport.
 xjadeo is capable to read Midi Time Clock as an alternate sync source and comes
 along with an optional QT-GUI.
 .
 xjadeo reads only seekable media by default. Installing a transcoding utility
 like mencoder or transcode is highly recommended.
 .
 On-line documentation:
 http://xjadeo.sourceforge.net/main.html

## xjadeo 0.8.10

=== debian/changelog ===
xjadeo (0.8.10-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.8.10
  * debian/patches: Removed, no longer needed
  * debian/control: Bump Standards-Version
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 17 Feb 2022 23:35:25 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libxpm-dev,
  libxv-dev,
  libsdl1.2-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/xjadeo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xjadeo

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,17 @@
 
 LDFLAGS+=-Wl,--as-needed
 
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \..*|debian/.*|.*\.png|.*\.ico|contrib/xjadeo-example.mp4|src/xjadeo/fonts/ArdourMono.ttf
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-midi=jack
+
+licensecheck:
+	licensecheck -i "^\./($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" --deb-machine -r . \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints

## xjadeo 0.8.11

=== debian/changelog ===
xjadeo (0.8.11-2) unstable; urgency=medium

  * Team upload.

  * Add patch to fix building against FFmpeg-5.1
    Closes: #1017142, #1018028
  * Drop Recommends on 'transcode', Demote Recommends on 'mencoder' to Suggests
    Closes: #1018033
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Aug 2022 13:26:18 +0200

xjadeo (0.8.11-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.8.11
    - Fix build with ffmpeg 5.0 (Closes: #1004631)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Apr 2022 18:06:57 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
- libswscale-dev,
  libfreetype6-dev,
  libglu1-mesa-dev | libglu-dev,
  libimlib2-dev,
@@ -19,11 +18,12 @@
  liblo-dev,
  libltc-dev,
  libportmidi-dev [linux-any],
+ libsdl1.2-dev,
+ libswscale-dev,
  libx11-dev,
  libxpm-dev,
  libxv-dev,
- libsdl1.2-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/xjadeo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xjadeo
@@ -34,9 +34,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
+Suggests:
  mencoder,
- transcode,
 Description: Video player with JACK sync
  Simple video player that receives sync from jackd or MTC.
  It has applications in soundtrack creation, video monitoring or any task that

## xjadeo 0.8.12

=== debian/changelog ===
xjadeo (0.8.12-1build4) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:24:29 +0000

xjadeo (0.8.12-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:32:18 +0000

xjadeo (0.8.12-1build2) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:05:30 +0000

xjadeo (0.8.12-1build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 22:18:29 +0200

xjadeo (0.8.12-1) unstable; urgency=medium

  * Team upload.

  * New upstream version 0.8.12
    + Drop patches applied upstream
  * Add patch to fix spelling
  * Relax B-D to libfreetype-dev
  * Drop unused d/source/include-binaries
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 22 Jan 2023 22:21:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xjadeo
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -11,7 +12,7 @@
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
- libfreetype6-dev,
+ libfreetype-dev,
  libglu1-mesa-dev | libglu-dev,
  libimlib2-dev,
  libjack-dev,
@@ -23,7 +24,7 @@
  libx11-dev,
  libxpm-dev,
  libxv-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/xjadeo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xjadeo

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
https://sf.net/xjadeo/xjadeo-(.*)\.tar\.gz

## xjadeo 0.8.14+really0.8.14

=== debian/changelog ===
xjadeo (0.8.14+really0.8.14-3build1) resolute; urgency=medium

  * No-change rebuild for libportmidi2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 22:02:46 +0000

xjadeo (0.8.14+really0.8.14-3) unstable; urgency=medium

  * Team Upload
  * Revert "Drop B-D on libportmidi"

  [ Adrian Bunk ]
  * Fix building with the new portmidi (Closes: #1114589)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 10 Sep 2025 14:25:47 +0200

xjadeo (0.8.14+really0.8.14-2) unstable; urgency=medium

  * Drop libsdl1.2 from Build-Deps (Closes: #1038492)
  * Drop B-D on libportmidi
  * Drop 'Qt-GUI' from package description

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 07 Sep 2025 10:56:19 +0200

xjadeo (0.8.14+really0.8.14-1) unstable; urgency=medium

  * New upstream version 0.8.14
    + Refresh patches
  * Update copyright information
    + Bump copyright dates
    + Exclude some more binary files from the copyright check
    + Re-generate d/copyright_hints
  * Update d/watch to use github
    + Re-import 0.8.14
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 06 Nov 2024 14:22:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xjadeo
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -19,13 +18,11 @@
  liblo-dev,
  libltc-dev,
  libportmidi-dev [linux-any],
- libsdl1.2-dev,
  libswscale-dev,
  libx11-dev,
  libxpm-dev,
  libxv-dev,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/xjadeo.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/xjadeo
 Homepage: http://xjadeo.sourceforge.net/
@@ -44,8 +41,7 @@
  .
  For instance when a jack-client (like Muse, Rosegarden or Ardour) acts as a
  timebase master, xjadeo will display the video synchronized to JACK transport.
- xjadeo is capable to read Midi Time Clock as an alternate sync source and comes
- along with an optional QT-GUI.
+ xjadeo is capable to read Midi Time Clock as an alternate sync source.
  .
  xjadeo reads only seekable media by default. Installing a transcoding utility
  like mencoder or transcode is highly recommended.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS+=-Wl,--as-needed


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-midi=jack

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*|.*\.png|doc/static/.*\.jpg|doc/static/lb/loading.gif|.*\.ico|contrib/xjadeo-example.mp4|src/xjadeo/fonts/ArdourMono.ttf
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## xjadeo 0.8.15

=== debian/changelog ===
xjadeo (0.8.15-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:22:20 +0000

xjadeo (0.8.15-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.8.15
    - Fix build with ffmpeg 8.0 (Closes: #1115042)
  * debian/: Replace image for desktop file

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Dec 2025 19:14:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xjadeo
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
